export declare function login(): void;
export declare function logout(): void;
export declare function requireAuth(nextState: any, replace: any): void;
export declare function getIdToken(): string | null;
export declare function getAccessToken(): string | null;
export declare function getAndStoreParameters(): void;
export declare function getEmail(): any | undefined;
export declare function getName(): any;
export declare function setAccessToken(accessToken: any): void;
export declare function isLoggedIn(): boolean;
export declare function getProfile(): any;
export declare function getUser(): Promise<{}>;
